DRM_VMA_NODE_START(9)

NAME
drm_vma_node_start - Return start address for page-based addressing

SYNOPSIS

unsigned long drm_vma_node_start(struct drm_vma_offset_node * node);

ARGUMENTS

node
    Node to inspect

DESCRIPTION

Return the start address of the given node. This can be used as offset into the linear VM space that is provided by the VMA offset manager. Note that this can only be used for page-based addressing. If you need a proper offset for user-space mappings, you must apply “<< PAGE_SHIFT” or use the drm_vma_node_offset_addr helper instead.

RETURNS

Start address of node for page-based addressing. 0 if the node does not have an offset allocated.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT